<?php
defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

/**
 * The installation function is called by main.inc.php and maintain.inc.php
 * in order to install and/or update the plugin.
 *
 * That's why all operations must be conditionned :
 *    - use "if empty" for configuration vars
 *    - use "IF NOT EXISTS" for table creation
 *
 * Unlike the functions in maintain.inc.php, the name of this function must be unique
 * and not enter in conflict with other plugins.
 */

function piwigo_force_https_install() 
{
  global $conf, $prefixeTable;
  
  // add config parameter
  if (empty($conf['piwigo_force_https']))
  {
    $piwigo_force_https_default_config = serialize(array(
      'option1' => 10,
      'option2' => true,
      ));
  
    conf_update_param('piwigo_force_https', $piwigo_force_https_default_config);
    $conf['piwigo_force_https'] = $piwigo_force_https_default_config;
  }
  else
  {
    // if you need to test the "old" configuration you must check if not yet unserialized
    $old_conf = is_string($conf['piwigo_force_https']) ? unserialize($conf['piwigo_force_https']) : $conf['piwigo_force_https'];
  }
  
  // add a new table
	pwg_query('
CREATE TABLE IF NOT EXISTS `'. $prefixeTable .'piwigo_force_https` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `field1` mediumint(8) DEFAULT NULL,
  `field2` varchar(64) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8
;');

  // add a new column to existing table
  $result = pwg_query('SHOW COLUMNS FROM `'.IMAGES_TABLE.'` LIKE "piwigo_force_https";');
  if (!pwg_db_num_rows($result))
  {      
    pwg_query('ALTER TABLE `' . IMAGES_TABLE . '` ADD `piwigo_force_https` TINYINT(1) NOT NULL DEFAULT 0;');
  }

  // create a local directory
  if (!file_exists(PHPWG_ROOT_PATH . PWG_LOCAL_DIR . 'piwigo_force_https/')) 
  {
    mkdir(PHPWG_ROOT_PATH . PWG_LOCAL_DIR . 'piwigo_force_https/', 0755);
  }

}

?>